' This program is provided as Freeware for personal, educational
' and non-commercial use under a GNU General Public License.
'
' Written by Mike Perks (basicx@austin.rr.com), 2005
'
' Devantech SRF10/08 interface module
' (see http://www.robot-electronics.co.uk/shop/Ultrasonic_Rangers1999.htm)
'
' Written for ZBasic Application Note AN-208
'
Option Explicit
Option Strict On

Private Const addr As Byte = &HE0 	' default I2C Address
Private Const stopPin as Byte = A.2 ' just used for testing purposes

Sub Main()
	' start test
	Debug.Print "Start of SRF test"
	Call Sleep(0.25) ' wait for SRF to wakeup
	
	' initialize SRF and get software version number
	Call InitSRF(addr, 48, SRF_UNITS_INCHES, SRF10_DEFAULT_GAIN)
	Debug.Print "Software Version: ";CStr(GetSRFVersion(addr))
	
	' main test loop which gets the range in inches every second 
	' until the stop button is pressed
	Do While GetPin(stopPin) = 1 
		Debug.print "Range ";CStr(GetSRFRange()); " inches"
		Call Sleep(1.0)
	Loop
	
	' stop using the SRF
	Call TermSRF()
	Debug.Print "SRF test finished"
End Sub